Public Class dataset

    Private _id As Integer
    Private _name As String

    Public Sub New(id As Integer, name As String)

        _id = id
        _name = name

    End Sub

    Public Property ID As Integer

        Set(value As Integer)
            _id = value
        End Set

        Get
            Return _id
        End Get

    End Property

    Public Property NAME As String

        Set(value As String)
            _name = value
        End Set

        Get
            Return _name
        End Get

    End Property

End Class
